<section class="register-form">

  <h1 class="title">Register as Pokemon Trainer</h1>

  <form [formGroup]="registerTrainerForm" (ngSubmit)="onRegisterClicked()">

    <div class="form-group">
      <input aria-label="trainer name" aria-required="true"
             type="text" formControlName="trainerName"
             name="trainerName" placeholder="Enter a trainer name"
             required minlength="2" maxlength="28">
    </div>

    <div *ngIf="trainerName.invalid && (trainerName.dirty || trainerName.touched)">
      <p *ngIf="trainerName.errors.required">The trainer name is requried</p>
      <p *ngIf="trainerName.errors.minlength">The trainer name must be at least 2 characters</p>
      <p *ngIf="trainerName.errors.maxlength">The trainer name can't be more than 28 characters</p>
    </div>

    <button class="with-icon" type="submit" aria-label="register as a trainer"
            [disabled]="registerTrainerForm.invalid">
      <i class="material-icons">done_outline</i>
      Register as a trainer
    </button>

  </form>
</section>

